local function create_scroll_bug(player)
    local list = player.gui.top.add{type="list-box"}
    -- limit the vertical space for the list box in order to show a scroll bar
    list.style.maximal_height = 300
    list.style.minimal_width = 100
    
    local max_index = 100
    for i=1, max_index, 1 do
        list.add_item("Item " .. i)
    end
    
    local index = 99
    
    -- the selected index change is just there to show which item should be visible and that the index is valid 
    player.print("Selecting index "..index .. "/"..max_index)
    list.selected_index = index
    player.print("Scrolling to index "..index .. "/"..max_index)
    list.scroll_to_item(index)
end

-- calls the function "create_scroll_bugs" for every connected player
script.on_configuration_changed(function (e)
    for _,p in pairs(game.players) do
        if p ~= nil and p.connected then
            create_scroll_bug(p)
        end
    end
end)
